## numpy 1.26.4+ds

=== debian/changelog ===
numpy (1:1.26.4+ds-11build1) oracular; urgency=medium

  * Rebuild against new dpkg without elf-package-metadata.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Aug 2024 15:24:05 +0200

numpy (1:1.26.4+ds-11) unstable; urgency=medium

  * Remove hack to override _add_newdocs_scalars (Closes: #1076899)

 -- Timo Röhling <roehling@debian.org>  Wed, 31 Jul 2024 00:19:32 +0200

numpy (1:1.26.4+ds-10) unstable; urgency=medium

  * Defang upstream gitignore
  * Stop building distutils documentation with Python 3.12 (Closes: #1071255)

 -- Timo Röhling <roehling@debian.org>  Fri, 17 May 2024 18:38:57 +0200

numpy (1:1.26.4+ds-9) unstable; urgency=medium

  * Upload to unstable (Closes: #1070445)
  * More test filtering
  * Fix reproducibility issue with lapack dependency
  * Reorganize patches (no functional changes)
  * Prevent random object file names in debuginfo
  * Skip FPClass tests on mips64el

 -- Timo Röhling <roehling@debian.org>  Thu, 16 May 2024 14:38:07 +0200

numpy (1:1.26.4+ds-9~exp1) experimental; urgency=medium

  [ Michael R. Crusoe ]
  * Bring back the -doc package.

  [ Timo Röhling ]
  * Fix the SWIG documentation patch to reflect recent changes
  * Improve logic to avoid unneeded compilations

 -- Timo Röhling <roehling@debian.org>  Wed, 15 May 2024 21:24:07 +0200

numpy (1:1.26.4+ds-8) unstable; urgency=medium

  * Another round of flaky tests

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Apr 2024 21:52:44 +0200

numpy (1:1.26.4+ds-7) unstable; urgency=medium

  * Make mips64el build more robust
  * Remove outdated READMEs
  * Move packaging helper scripts to dedicated subdir
  * Use deterministic MesonPy build directory
  * Bump Standards-Version to 4.7.0
  * Skip TestErrState::test_invalid on armel (Closes: #1069551)

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Apr 2024 16:10:26 +0200
