=== debian/control ===
Source: numpy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>,
Uploaders:
 Christian Kastner <ckk@debian.org>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 cython3:native (>= 3.0),
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 gfortran [amd64 arm64 ppc64el] <!nocheck>,
 libblas-dev [!arm !m68k],
 liblapack-dev [!arm !m68k],
 libpython3-all-dev,
 mypy <!nocheck>,
 ninja-build,
 pybuild-plugin-pyproject,
 python3-all-dev:any,
 python3-charset-normalizer <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-mesonpy:native,
 python3-pyproject-metadata:native,
 python3-pytest <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-scipy <!nocheck>,
 python3-setuptools <!nocheck>,
 python3-typing-extensions (>= 4.2.0) <!nocheck>,
 python3-tz <!nocheck>,
 tzdata-legacy <!nocheck>
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 doxygen <!nodoc>,
 python-imageio-doc <!nodoc>,
 python-pandas-doc <!nodoc>,
 python-pytest-doc <!nodoc>,
 python-scipy-doc <!nodoc>,
 python-skimage-doc <!nodoc>,
 python3-breathe <!nodoc>,
 python3-doc <!nodoc>,
 python3-ipython <!nodoc>,
 python3-matplotlib <!nodoc>,
 python3-numpydoc <!nodoc>,
 python3-pickleshare <!nodoc>,
 python3-pydata-sphinx-theme <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-design <!nodoc>,
# python-matplotlib-doc <!nodoc>,  # missing
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/python-team/packages/numpy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/numpy
Homepage: http://www.numpy.org/
Testsuite: autopkgtest-pkg-pybuild
Description: Fast array facility to the Python language
 NumPy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.

Package: python3-numpy
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 python3-pkg-resources,
Suggests:
 gcc,
 gfortran,
 python-numpy-doc,
 python3-dev,
 python3-pytest,
Provides:
 dh-sequence-numpy3,
 python3-f2py,
 python3-numpy-dev,
 ${numpy3:Provides},
 ${python3:Provides},
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package installs NumPy for Python 3.

Package: python-numpy-doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python-imageio-doc,
 python-pandas-doc,
 python-pytest-doc,
 python-scipy-doc,
 python-skimage-doc,
 python3-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Description: ${source:Synopsis} (Documentation)
 ${source:Extended-Description}
 .
 This package contains documentation for NumPy and f2py.
