=== vendored-meson/meson/test cases/cmake/27 dependency fallback/subprojects/cmake_subp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(cmModDummy)
