=== debian/changelog ===
numpy (1:2.2.3+ds-2) unstable; urgency=medium

  * Bump Standards-Version to 4.7.1
  * Properly execute dir_to_symlink transition (Closes: #1098365)

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Feb 2025 11:56:23 +0100

numpy (1:2.2.3+ds-1) unstable; urgency=medium

  * New upstream version 2.2.3+ds (Closes: #1095468)
  * Skip huge_vectordot test on all 32 bit architectures (Closes: #1097126)

 -- Timo Röhling <roehling@debian.org>  Tue, 18 Feb 2025 09:52:55 +0100

numpy (1:2.2.2+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sun, 26 Jan 2025 21:02:29 +0100

numpy (1:2.2.2+ds-1) experimental; urgency=medium

  * New upstream version 2.2.2+ds

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Jan 2025 18:07:13 +0100

numpy (1:2.2.1+ds-2) experimental; urgency=medium

  [ Alexandre Detiste ]
  * Fix syntax error in Maintainer: field that confuses UDD & the Tracker

 -- Timo Röhling <roehling@debian.org>  Thu, 16 Jan 2025 12:02:00 +0100

numpy (1:2.2.1+ds-1) experimental; urgency=medium

  * New upstream version 2.2.1+ds
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Thu, 16 Jan 2025 11:28:28 +0100

numpy (1:2.2.0+ds-1) experimental; urgency=medium

  * New upstream version 2.2.0+ds
  * Update patches
    - Drop 0009-Use-correct-Python-interpreter-in-tests.patch
      (merged upstream)
  * Wrap and sort Debian package files
  * Drop dependency on python3-pkg-resources (Closes: #1083512)

 -- Timo Röhling <roehling@debian.org>  Thu, 12 Dec 2024 23:47:03 +0100

numpy (1:2.1.3+ds-2) experimental; urgency=medium

  * Skip failing autopkgtest after scrubbing __config__.py

 -- Timo Röhling <roehling@debian.org>  Sun, 08 Dec 2024 00:05:44 +0100

numpy (1:2.1.3+ds-1) experimental; urgency=medium

  * New upstream version 2.1.3+ds
  * Move dh_numpy3 to python3-numpy-dev
  * Fix __config__.py divergence between different Python versions
  * Finalize package layout for better cross-build support
    (Closes: #1076236)

 -- Timo Röhling <roehling@debian.org>  Sat, 23 Nov 2024 00:37:09 +0100

numpy (1:2.1.2+ds-1) experimental; urgency=medium

  [ Dima Kogan ]
  * swig numpy docs contain the correct include path

  [ Timo Röhling ]
  * Skip test that fills up Salsa autopkgtest filesystem
  * New upstream version 2.1.2+ds

 -- Timo Röhling <roehling@debian.org>  Tue, 08 Oct 2024 18:55:28 +0200

numpy (1:2.1.1+ds-3) experimental; urgency=medium

  * Make __config__.py reproducible
  * Use correct Python interpreter in tests (Closes: #1082094)

 -- Timo Röhling <roehling@debian.org>  Wed, 25 Sep 2024 23:45:59 +0200

numpy (1:2.1.1+ds-2) experimental; urgency=medium

  * Use sysconfig module and _PYTHON_SYSCONFIGDATA_NAME for cross build support
  * Skip a few more problematic tests

 -- Timo Röhling <roehling@debian.org>  Mon, 16 Sep 2024 23:41:43 +0200

numpy (1:2.1.1+ds-1) experimental; urgency=medium

  * New upstream version 2.1.1+ds
  * Add missing test excludes for arch-specific fails
  * Split python3-numpy-dev off python3-numpy for better cross-build support
  * Improve package description
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Fri, 06 Sep 2024 14:18:38 +0200

numpy (1:2.1.0+ds-2) experimental; urgency=medium

  * Ignore arch-specific test failures

 -- Timo Röhling <roehling@debian.org>  Mon, 02 Sep 2024 00:08:35 +0200

numpy (1:2.1.0+ds-1) experimental; urgency=medium

  * New upstream version 2.1.0+ds
  * Update copyright information
  * Update patches
    - Drop Do-not-fail-if-we-cannot-import-mingw32.patch (obsolete)
    - Drop Use-proper-lapack-dependency-for-__config__.py.patch (merged)
    - Drop Do-not-fail-the-build-on-Sphinx-warnings.patch (obsolete)
    - Drop Prevent-random-object-file-names-in-debuginfo.patch (merged)
    - Drop Ignore-distutils-for-Python-3.12-and-later.patch (obsolete)
    - Drop Remove-hack-to-override-_add_newdocs_scalars.patch (obsolete)
  * Update NumPy ABI/API versioning
  * Update prefix path in debian/numpy.pc
  * Update test suite invocation
  * Prepare multi-arch support for numpy.pc
  * Avoid circular NumPy build dependencies
  * New required Sphinx extension copybutton
  * Relax api-min-version requirement in dh_numpy3

 -- Timo Röhling <roehling@debian.org>  Fri, 30 Aug 2024 18:11:32 +0200

numpy (1:1.26.4+ds-13) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-pkg-resources (Closes: #1083512)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Jan 2025 20:42:00 +0100

numpy (1:1.26.4+ds-12) unstable; urgency=medium

  * Team upload.
  * Patch test_iter_refcount to support Python 3.13.
  * Skip test_deprecate_* to support Python 3.13.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 14 Nov 2024 14:43:59 +0100
