## numpy 2.2.4%2Bds

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	error \
 	test_reduce
 endif
-ifneq ($(filter mips64el powerpc ppc64 sparc64,$(DEB_HOST_ARCH)),)
+ifneq ($(filter alpha mips64el powerpc ppc64 sparc64,$(DEB_HOST_ARCH)),)
 SKIP_TESTS += \
 	sq_cases
 endif
@@ -57,6 +57,11 @@
 ifneq ($(filter powerpc,$(DEB_HOST_ARCH)),)
 SKIP_TESTS += \
 	test_linalg
+endif
+ifneq ($(filter ppc64el,$(DEB_HOST_ARCH)),)
+SKIP_TESTS += \
+	test_ppc64_ibm_double_double128 \
+	test_linear_interpolation_formula_symmetric
 endif
 ifeq ($(PYBUILD_AUTOPKGTEST),1)
 SKIP_TESTS += test_dict_mode
