=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s%(?:.*?/)v?@ANY_VERSION@.tar.gz%@PACKAGE@-$1.tar.gz%,\
 dversionmangle=auto,oversionmangle=s%$%+ds%,repack \
 https://api.github.com/repos/numpy/numpy/releases \
 https://github.com/numpy/numpy/releases/download/v\d[\.\d]*/numpy-@ANY_VERSION@@ARCHIVE_EXT@
